<template lang="pug">
  q-layout(view="lHh Lpr lFf")
    q-header
      q-toolbar.q-ma-none.bg-white.text-black
        q-toolbar-title.q-mx-xl.row.items-center
          div.circular--landscape
            img(src="../assets/logoEmpodelas.png")
          span(@click="newRouter").mouse.title Unilar
        div(v-if="user.loggedIn").row.justify-end.items-center.q-my-sm
          //- q-btn(v-if="currentRouteName == '/dashboard'" @click="$router.push('/tinder')" size='sm' dense color='white' text-color='primary' rounded).q-mx-md.q-my-sm.tinder-btn Tinder do rominho
          q-btn(size='sm' color='secondary').q-mx-md.q-my-sm.flex-1 Famílias
            q-menu(fit)
              q-list(style="min-width: auto")
                q-item(clickable v-close-popup @click="$router.push('/ranking')")
                  span Ranking
                q-item(clickable v-close-popup @click="$router.push('/conectar')")
                  span Conectar a nova família
          q-btn(flat dense icon="login" label='Sair' @click="verifyLogout()")
        div(v-else).display-flex.flex-1
          q-btn(size='md' color='secondary').q-mx-md.q-my-sm.flex-1 Login
            q-menu(fit)
              q-list(style="min-width: auto")
                q-item(clickable v-close-popup @click="$router.push('/login')")
                  span Usuário
                q-item(clickable v-close-popup)
                  span Professor
          q-btn(@click="$router.push('/cadastro')" size='md' color='secondary').q-mx-md.q-my-sm.flex-1 Cadastro
    q-page-container.bg-primary
      q-page.display-flex
        router-view
</template>

<script>
import { openURL, QBtnDropdown, QHeader, QDrawer, QPageContainer, QPage, QToolbarTitle, QToolbar } from 'quasar'
import { mapState, mapActions } from 'vuex'

export default {
  name: 'MyLayout',
  components: {
    QBtnDropdown,
    QHeader,
    QDrawer,
    QPageContainer,
    QPage,
    QToolbarTitle,
    QToolbar,
  },
  data () {
    return {
      leftDrawerOpen: true
    }
  },
  computed: {
    ...mapState( 'user', [
      'user'
    ]),
    homeRouter () {
      return this.currentRouteName == '/'
    },
    currentRouteName() {
        return this.$route.path;
    }
  },
  methods: {
    ...mapActions( 'user', [
      'logout'
    ]),
    verifyLogout () {
      this.logout()
    },
    openURL,
    newRouter () {
      this.$router.push('/').catch(() => {})
    }
  }
}
</script>
<style lang="stylus">

.row
  margin 0px !important
</style>

<style lang="stylus" scoped>
@import '~quasar-variables'
.circular--landscape img {
  width: 100%;
  height: auto;
  // margin-left: -50px;
}
.circular--landscape
  width 10%

.title
  color #1f387b
  font-family Lemon Milk
  font-size 200%
  font-weight bold

.subtitle
  font-family Avenir
  font-size 70%

.mouse
  cursor pointer

.fit-width
  width 150px

.tinder-btn
  border 5px solid $secondary
  font-weight bold
</style>
